Subject: Re: Bug: magic-less pathspecs that start with ":" not processed as expected.

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Nov 2023 08:29:34 +0900

Jeff King <[email-masked]> writes:

> PS It took me a while to figure out where we document pathspec syntax. I
>    wonder if a "gitpathspecs" manpage would make sense, like we have
>    "gitrevisions".

Yeah, I came to the same conclusion (should have saved time by
scanning the mailing list before I started writing my response) and
wondered where we wrote it down.  The description you found in the
glossary, as far as I recall, is the authoritative one and looks
readable, but I agree it is not as discoverable as it should be.

A simpler and more readable workaround than ":::file" is "./:file"
by the way ;-)